Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class UserModuleService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserModuleService

All Implemented Interfaces:
  UserModule

Direct Known Subclasses:
  HibernateUserModuleImpl, LDAPUserModule

    public abstract class UserModuleService

extends IdentityModuleService
implements UserModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`protected` | `UserModuleService()`

Method Summary
`protected void` | `fireUserCreatedEvent(java.lang.Object userId, java.lang.String userName)`
`protected void` | `fireUserDestroyedEvent(java.lang.Object userId, java.lang.String userName)`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.UserModule
`createUser, findUserById, findUserById, findUserByUserName, findUsers, findUsersFilteredByUserName, getUserCount, removeUser`

Constructor Detail

### UserModuleService

    protected UserModuleService()

Method Detail

### fireUserCreatedEvent

    protected void fireUserCreatedEvent(java.lang.Object userId,
                                        java.lang.String userName)
                                 throws IdentityException

  Throws:
    `IdentityException`

### fireUserDestroyedEvent

    protected void fireUserDestroyedEvent(java.lang.Object userId,
                                          java.lang.String userName)
                                   throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD